
QGIS Application - Bug report #5070

Geometry validity does not work well

2012-02-22 11:26 PM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14837

Description

I tested the geometry validity against a dangled polygon, and it detected no errors. In general, the tool seems to be rather inefficient, not

detecting really invalid geometries, thus misleading for the user. Pending an overall improvement, better warn the user that the results are

incomplete.

History

#1 - 2012-05-11 02:03 AM - Giovanni Manghi

see also #5570 (that has a sample attached)

#2 - 2012-05-11 03:43 AM - Salvatore Larosa

- Target version set to Version 1.8.0

- Priority changed from Normal to High

AFAIK, there is not a tool for that, so it would be important to understand why it does not work!

I did some test and can confirm that in python-console it works either the "isGeosValid()" function or "isGeosEmpty" one.

While the "validateGeometry()" function returns an empty list! Strange! Could be the problem here??

[243] if not (geom.isGeosEmpty() or geom.isGeosValid() ) :

[244]         lstErrors.append((feat.id(), list(geom.validateGeometry())))

#3 - 2012-05-24 11:57 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

- Category changed from 44 to Vectors

fixed in commit:2f440bd8
